Вход для клиентов и партнеров
в начало сайта
Партнерская программаОнлайн демоСкачатьКарта сайта
 

Регламент
Документация
Часто задаваемые вопросы (FAQ)
Решения типовых вопросов
Форум поддержки
Библиотека разработчика

Посмотрите демо-ролики и убедитесь в том, что "Twilight CMS" очень удобна в управлении, понятна и проста.

Бесплатно скачайте "Twilight.Basic", установите на своем компьютере и изучите систему более детально.

Если вам нужно установить "Twilight CMS" на существующий сайт или разработать новый - обращайтесь в отдел интеграции.

 

Ваше имя
Ваш Email
Вопрос
Twilight.basic
  • Узнайте больше
  • Сравните версии
  • Twilight.selection
  • Узнайте больше
  • Сравните версии
  • Twilight.evolution
  • Узнайте больше
  • Сравните версии
  •  
    Главная // Форум поддержки

    Установка Twilight CMS / Установка на Unix (хостинг-площадка) / 500 Internal Server Error

    есть новые сообщения  Время:   18.03.09 12:44
    baca После обновления с 4.39 до 4.41 на хостинг-центре рбк выскочила ошибка.
    Права выставлены, пробовал даже файлы .cgi и .pl принудительно в ansi заливать.
    Тестовый файл env.cgi исполняется, get.cgi - не выполняется. Установка debug - on ошибок не выводит.
    Может в сборке что-то новое появилось?
    есть новые сообщения  Время:   18.03.09 15:11
    Служба поддержки Смотрите логи, там будет написано что именно вызывает ошибку. Естественно, в новых версиях есть "что-то новое", но ничего сверх обычно устанавливаемого обычно на площадках быть не должно. Если не будет хватать какого-то модуля - нужно писать на площадку, пусть доставляют.
    есть новые сообщения  Время:   18.03.09 16:58
    baca Может кто-то из пользователей может поделится впечатлениями после обновления твл-системы на Хостинг-Центре РБК? Всё ли гладко прошло?
    есть новые сообщения  Время:   18.03.09 19:01
    baca Удалось заставить работь логи сервера.
    Эта ошибка хостера или я не правильно что-то сделал?

    ----
    Storable object version 2.15 does not match $Storable::VERSION 1.012 at
    /usr/local/lib/perl5/5.8.8/mach/DynaLoader.pm line 253.
    Compilation failed in require at ./mylib.pl line 255.
    BEGIN failed--compilation aborted at ./mylib.pl line 255.
    Compilation failed in require at get.cgi line 49.
    [Wed Mar 18 17:51:51 2009] [error] [client 89.111.168.2] Premature end of
    script headers: /www/undercon/www/cgi-bin/get.cgi
    ---

    есть новые сообщения  Время:   18.03.09 21:09
    Служба поддержки Ошибка хостера. Пишите в саппорт чтобы нормально установили Storable.
    есть новые сообщения  Время:   18.03.09 22:22
    baca То есть у рбк стоит 1.012, а требуется 2.15?
    Радикальные изменения, рбк всё же не последний хостер. Тем более странно что движок встал колом, ведь при отсутвии сторабал начиная с версии 4.37 система должна продолжать работать.
    есть новые сообщения  Время:   18.03.09 23:31
    Служба поддержки Проблема в том что отсутствия Storable нет - есть наличие. Кроме того, поскольку даже cpan модуль требует наличия Storable, мы полагаем что его не быть просто не может, соответственно сейчас этот модуль просто необходим.

    Проблема в том, что модуль данный состоит как бы из двух частей - С библиотеки скомпилированной (версия 2.15) и Перлового враппера к ней, который позволяет из Перла обращаться к ней. Их версии должны совпадать. Получается, что в данном случае враппер почему-то имеет версию 1.012. Удивительно что это вообще связано с обновлением, возможно это просто совпадение. Но мы на всякий случай будем проверять что там в пакете что такое там могло поменяться. Но несоответствие библиотек к системе отношения иметь по идее не должно.

    есть новые сообщения  Время:   18.03.09 23:50
    Служба поддержки Так, по коду у нас нет никаких проблем со Storable, но в паре мест теперь он стал жестко необходимым. Так что картина выглядит так: ранее у них стоял битый Storable, и система его игнорировала и работала по резервному (жутко неэффективному) сценарию. Сейчас используются функции которые уже никак без модуля не сделать, соответственно модуль задействуется и система падает. Вы можете прислать нам по email FTP доступ чтобы мы посмотрели детальнее что там происходит, но практически 99% что нужно обращаться к хостеру и просить нормально установить эту библиотеку. РБК хостер не последний, но учитывая тот бардак что у них образовался еще при покупке Highway + открытии второй своей площадки в прошлом или позапрошлом году, а также то что компания на грани банкротства и сотрудников просто почистили, мы не удивляемся подобным проблемам.

    На крайний случай, если они не справятся а переезд на другой хостинг невозможен, вам придется вернуться к 4.37 до того момента как эту проблему смогут решить.

    есть новые сообщения  Время:   19.03.09 09:18
    Sigurt Столкнулся с похожей проблемой
    *** 'C:\inetpub\TwilightCMS\cgi-bin\get.cgi' error message at: 2009/03/19 12:13:06
    Global symbol "$result" requires explicit package name at C:\inetpub\TwilightCMS\cgi-bin/lib/Crypt/CBC.pm line 234.
    Global symbol "$salt" requires explicit package name at C:\inetpub\TwilightCMS\cgi-bin/lib/Crypt/CBC.pm line 234.
    Unmatched right curly bracket at C:\inetpub\TwilightCMS\cgi-bin/lib/Crypt/CBC.pm line 235, at end of line
    syntax error at C:\inetpub\TwilightCMS\cgi-bin/lib/Crypt/CBC.pm line 235, near "}"
    Compilation failed in require at ./crypt.pl line 1.
    BEGIN failed--compilation aborted at ./crypt.pl line 1.
    Compilation failed in require at C:\inetpub\TwilightCMS\cgi-bin\get.cgi line 7.

    *** 'C:\inetpub\TwilightCMS\cgi-bin\get.cgi' error message at: 2009/03/19 12:13:09
    Can't locate Storable.pm in @INC (@INC contains: C:\inetpub\TwilightCMS\cgi-bin/lib c:/Perl/lib c:/Perl/site/lib .) at ./mylib.pl line 255.
    BEGIN failed--compilation aborted at ./mylib.pl line 255.
    Compilation failed in require at C:\inetpub\TwilightCMS\cgi-bin\get.cgi line 49.

    Storable стоит скачанный с вашего сайта. Откуда взять новый, то есть с которым будет работать?
    есть новые сообщения  Время:   19.03.09 11:22
    Служба поддержки Судя по сообщению Storable вообще не установлен или установлен неправильно. Также непонятно при каких условиях у вас возникла данная проблема - после обновления? Обновление никак на Crypt::CBC не влияло, а у вас ошибки синтаксиса идут - вероятно обновили не до конца или неверно. Проверьте все что сделали.
    Страница: << < 1 2 > >>

    Ваше имя:

    Email:

    Сообщение:

    Прислать оповещение на email, если мне ответят

     
    © 2003-17 Страта Технологии (создание сайтов, разработка cms), Twilight CMS in english.
    Наш адрес: Москва, пр. Маршала Жукова д.51
    Тел.: (495) 222-6436, E-mail: , карта сайта, условия использования информации о CMS
    Звоните через Skype:  

    Реклама: